Sample Requests and Responses for Create Entity Snapshot

Sample Request when entityType is campaign

curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/snapshot/entity'\ --header 'Authorization: Bearer <auth_token>'\ --header 'WM_SEC.AUTH_SIGNATURE: ***********'\
--header 'WM_SEC.KEY_VERSION: 1'\ --header 'WM_CONSUMER.ID: *************'\ --header 'WM_CONSUMER.intimestamp: 1565309779'\ --header 'accept: application/json'\ --data '{ "advertiserId": 600001, "entityStatus": "active", "entityTypes": ["campaign"] }' 

Sample Response when entityType is campaign

{ "code" : "success", "snapshotId" : "1", "details" : "", "jobStatus" : "pending" }

Sample Request when entityType is lineItem and entityStatus is inactive

curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/snapshot/entity'\ --header 'Authorization: Bearer <auth_token>'\ --header 'WM_SEC.AUTH_SIGNATURE: ***********'\
--header 'WM_SEC.KEY_VERSION: 1'\ --header 'WM_CONSUMER.ID: *************'\ --header 'WM_CONSUMER.intimestamp: 1565309779'\ --header 'accept: application/json'\
--header 'x-targeting-format: FLAT'\ --data '{ "advertiserId": 600003, "entityStatus": "inactive", "entityTypes" : ["lineItem"] }' 

Sample Response when entityType is lineItem

{ "code" : "success" , "snapshotId" : "2", "details" : " ", "jobStatus" : "pending" }

Sample Request when entityType is lineItem and campaign

curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/snapshot/entity'\ --header 'Authorization: Bearer <auth_token>' \ --header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1'\ --header 'WM_CONSUMER.ID: *************'\ --header 'WM_CONSUMER.intimestamp: 1565309779'\ --header 'accept: application/json' \ --data '{ "advertiserId": 600003, "entityStatus": "active", "entityTypes" : ["campaign", "lineItem"]
}' 

Sample Response when entityType is lineItem and campaign

{ "code" : "success" , "snapshotId" : 3, "details" : "", "jobStatus" : "pending" }

Sample Request when entityType is lineItem and entityStatus is active

curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/snapshot/entity'\ --header 'Authorization: Bearer <auth_token>'\ --header 'WM_SEC.AUTH_SIGNATURE: ***********'\
--header 'WM_SEC.KEY_VERSION: 1'\ --header 'WM_CONSUMER.ID: *************'\
--header 'WM_CONSUMER.intimestamp: 1565309779'\ --header 'accept: application/json'\ --data '{ "advertiserId": 600003, "entityStatus": "active", "entityTypes" : ["lineItem"]
}' 

Sample Response when entityType is lineItem and entityStatus is active

{ "code" : "success" , "snapshotId" : 3, "details" : "", "jobStatus" : "pending"
}

Sample Request when entityType is not provided

curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/snapshot/entity'\ --header 'Authorization: Bearer <auth_token>'\ --header 'WM_SEC.AUTH_SIGNATURE: ***********'\
--header 'WM_SEC.KEY_VERSION: 1'\ --header 'WM_CONSUMER.ID: *************'\
--header 'WM_CONSUMER.intimestamp: 1565309779'\ --header 'accept: application/json'\ --data '{ "advertiserId": 600003, "entityStatus": "inactive", "entityTypes" : "" }' 

Sample Response when entityType is not provided

{ "snapshotId": null, "jobStatus": null, "details": [ "INVALID_ENTITY_STATUS" ], "code": "failure", "errors": [ { "field": "entityStatus", "errorType": "INVALID_ENTITY_STATUS", "description": "`entityStatus` contains an unsupported value." } ]
} 

Sample Request when entityStatus is not provided

curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/snapshot/entity'\ --header 'Authorization: Bearer <auth_token>'\ --header 'WM_SEC.AUTH_SIGNATURE: ***********'\
--header 'WM_SEC.KEY_VERSION: 1'\ --header 'WM_CONSUMER.ID: *************'\
--header 'WM_CONSUMER.intimestamp: 1565309779'\ --header 'accept: application/json'\ --data '{ "advertiserId": 600003, "entityStatus": "", "entityTypes" : ["campaign"] }' 

Sample Response when entityStatus is not provided

{ "snapshotId": null, "jobStatus": null, "details": [ "INVALID_ENTITY_STATUS" ], "code": "failure", "errors": [ { "field": "entityStatus", "errorType": "INVALID_ENTITY_STATUS", "description": "`entityStatus` contains an unsupported value." } ]
}

Did this page help you?